commit:     0f70171e61e15f5fa08cd8395dbd676d9025268a
Author:     Sean Vig <sean.v.775 <AT> gmail <DOT> com>
AuthorDate: Sun Oct 11 22:56:03 2015 +0000
Commit:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
CommitDate: Sun Oct 11 22:56:03 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=0f70171e

dev-python/ipykernel: Version bump to 4.1.0

 dev-python/ipykernel/ChangeLog              |  5 ++++
 dev-python/ipykernel/ipykernel-4.1.0.ebuild | 39 +++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/ipykernel/ChangeLog b/dev-python/ipykernel/ChangeLog
index 29cfc15..c6d3038 100644
--- a/dev-python/ipykernel/ChangeLog
+++ b/dev-python/ipykernel/ChangeLog
@@ -2,6 +2,11 @@
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Id$
 
+*ipykernel-4.1.0 (11 Oct 2015)
+
+  11 Oct 2015; Sean Vig <[email protected]> +ipykernel-4.1.0.ebuild:
+  dev-python/ipykernel: Version bump to 4.1.0
+
   22 Sep 2015; Marius Brehler <[email protected]> ipykernel-9999.ebuild:
   dev-python/ipykernel: Add ~x86 to KEYWORDS, fixes #561032
 

diff --git a/dev-python/ipykernel/ipykernel-4.1.0.ebuild 
b/dev-python/ipykernel/ipykernel-4.1.0.ebuild
new file mode 100644
index 0000000..f44668a
--- /dev/null
+++ b/dev-python/ipykernel/ipykernel-4.1.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python{3_3,3_4} )
+
+inherit distutils-r1
+
+DESCRIPTION="IPython Kernel for Jupyter"
+HOMEPAGE="https://github.com/ipython/ipykernel";
+
+if [ ${PV} == "9999" ] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/ipython/${PN}.git 
git://github.com/ipython/${PN}.git"
+else
+       SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+       dev-python/traitlets[${PYTHON_USEDEP}]"
+       #dev-python/jupyter_client[${PYTHON_USEDEP}]
+       #>=dev-python/ipython-4.0.0[${PYTHON_USEDEP}]
+DEPEND="${RDEPEND}
+       test? (
+               dev-python/coverage[${PYTHON_USEDEP}]
+               >=dev-python/ipython-4.0.0[${PYTHON_USEDEP}]
+               dev-python/nose[${PYTHON_USEDEP}]
+       )
+       "
+
+python_test() {
+       nosetests --with-coverage --cover-package ipykernel ipykernel || die
+}

Reply via email to